# Driver's license(Basic)

{% hint style="info" %}
number: AAD23208212298\
dob: 1999-12-21\
first\_name: test\
last\_name: test
{% endhint %}

## Verify driver's license with a boolean response

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v2/biometrics/merchant/data/verification/drivers_license/basic`

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

#### Request Body

| Name                                          | Type   | Description    |
| --------------------------------------------- | ------ | -------------- |
| first\_name<mark style="color:red;">\*</mark> | String | first name     |
| last\_name<mark style="color:red;">\*</mark>  | String | last name      |
| number<mark style="color:red;">\*</mark>      | String | license number |
| dob<mark style="color:red;">\*</mark>         | String | date of birth  |

{% tabs %}
{% tab title="200: OK Successful Response" %}

```javascript
{
   'status': True,
   'detail': 'DL Verification Successfull',
   'response_code':'00',
   'frsc_data': {
             "verified":True,
             "message":"Drivers License details was verified successfully"
      },
    "verification": {
        "status": "",
        "reference": ""
    }
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/drivers-license/drivers-license-basic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
